SoVRMLColorInterpolator(3)

NAME
SoVRMLColorInterpolator - The SoVRMLColorInterpolator class is used to interpolate color values.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLColorInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoVRMLColorInterpolator (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFColor keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLColorInterpolator ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLColorInterpolator class is used to interpolate color values. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

ColorInterpolator {
  eventIn      SFFloat set_fraction        # (-inf, inf)
  exposedField MFFloat key           []    # (-inf, inf)
  exposedField MFColor keyValue      []    # [0,1]
  eventOut     SFColor value_changed
}

This node interpolates among a list of MFColor key values to produce an SFColor (RGB) value_changed event. The number of colours in the keyValue field shall be equal to the number of keyframes in the key field. The keyValue field and value_changed events are defined in RGB colour space. A linear interpolation using the value of set_fraction as input is performed in HSV space (see http://www.web3d.org/documents/specifications/14772/V2.0/part1/bibliography.html#[FOLE] for description of RGB and HSV colour spaces). The results are undefined when interpolating between two consecutive keys with complementary hues.

4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8), contains a detailed discussion of interpolators.

Constructor & Destructor Documentation

  SoVRMLColorInterpolator::SoVRMLColorInterpolator (void)
Constructor.

  SoVRMLColorInterpolator::~SoVRMLColorInterpolator () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLColorInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLColorInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLColorInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLColorInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLColorInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLColorInterpolator::initClass (void) [static]

Member Data Documentation

  SoMFColor SoVRMLColorInterpolator::keyValue
The color values.

  SoEngineOutput SoVRMLColorInterpolator::value_changed
The eventOut color.

Author

Generated automatically by Doxygen for Coin from the source code.